- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# OShL Class Reference

An interface that specified virtual methods to be implemented by agents.. More...

`#include <OShL.h>`

Inheritance diagram for OShL:

[legend]
List of all members.

## Public Member Functions
| OShL ()
| Default constructor.
virtual | ~OShL ()=0
| Class destructor.
virtual std::string | solve (std::string osil, std::string osol)=0
| submit an instance with its options for a synchronous solution
virtual std::string | getJobID (std::string osol)=0
| get a jobID for use in the send methos
virtual bool | send (std::string osil, std::string osol)=0
| submit an instance with its options for an asynchronous solution
virtual std::string | kill (std::string osol)=0
| kill an instance that is running
virtual std::string | retrieve (std::string osol)=0
| retrieve an instance result that is ran in asynchronous mode
virtual std::string | knock (std::string ospl, std::string osol)=0
| knock to get information on the current status of a job

## Detailed Description

An interface that specified virtual methods to be implemented by agents..

Remarks:

This is a virtual class that lists all of the methods a client (or scheduler/solver) should implement

Definition at line 34 of file OShL.h.

## Constructor & Destructor Documentation

OShL::OShL | ( |  | ) |

Default constructor.

Definition at line 21 of file OShL.cpp.

OShL::~OShL | ( |  | ) | `[pure virtual]`

Class destructor.

Definition at line 23 of file OShL.cpp.

## Member Function Documentation

virtual std::string OShL::solve | ( | std::string | osil,
|  | std::string | osol |
| ) |  |  | `[pure virtual]`

submit an instance with its options for a synchronous solution

Parameters:

  | osil | is the string with the instance in OSiL format
  | osol | is the string with the options in OSoL format

Returns:
  a string which is the result in OSrL format.

virtual std::string OShL::getJobID | ( | std::string | osol | ) | `[pure virtual]`

get a jobID for use in the send methos

Parameters:

  | osol | is the string with the options in OSoL format

Returns:
  a string which is the jobID

virtual bool OShL::send | ( | std::string | osil,
|  | std::string | osol |
| ) |  |  | `[pure virtual]`

submit an instance with its options for an asynchronous solution

Parameters:

  | osil | is the string with the instance in OSiL format
  | osol | is the string with the options in OSoL format

Returns:
  a bool which is true if the job is successfuly submitted

virtual std::string OShL::kill | ( | std::string | osol | ) | `[pure virtual]`

kill an instance that is running

Parameters:

  | osol | is the string with the options in OSoL format

Returns:
  a string which is in OSpL format

virtual std::string OShL::retrieve | ( | std::string | osol | ) | `[pure virtual]`

retrieve an instance result that is ran in asynchronous mode

Parameters:

  | osol | is the string with the options in OSoL format

Returns:
  a string which is in the result of the optimization is OSrL fomrat

virtual std::string OShL::knock | ( | std::string | ospl,
|  | std::string | osol |
| ) |  |  | `[pure virtual]`

knock to get information on the current status of a job

Parameters:

  | ospl | is the string with the process information in OSpL format
  | osol | is the string with the options in OSoL format

Returns:
  a string which is the knock result in OSpL format.

The documentation for this class was generated from the following files:

- /home/coin/SVN-release/OS-2.3.5/OS/src/OSAgent/OShL.h
- /home/coin/SVN-release/OS-2.3.5/OS/src/OSAgent/OShL.cpp